#!/usr/bin/env bash

waitDb() {
  while ! nslookup $1; do
    echo "Waiting for $1 to become available"
    sleep 5
    nslookup $1
  done
}
[[ ${INIT} && ${MONGO_HOST} && ${FB_HOST} ]] && { waitDb ${MONGO_HOST}; waitDb ${FB_HOST}; }

#sed -i "s/\${DB_CLUSTER}/\"${DB_CLUSTER}\"/" /etc/web-laboratory-admin/application.conf
#sed -i "s/ADMINHOST/0\.0\.0\.0:2551/" /etc/web-laboratory-admin/application.conf

exec "$@"
